V1.0
post
/ec-dc-svc/rest/v1/studies/{studyId}/{mode}/esign/geturl/orgId/{orgId}/subjectId/{subjectId}
Retrieves the URL for the IAMS login page.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
orgId(required): string
Unique identifier(UUID, 32-character uppercase hexadecimal string) for the organization.Example:
C51D1FE6C3804B6D8F1FE906CB6EAD16 -
studyId(required): string
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
1A30945DC9A3462B9CE95C7BC0C2FBDC -
subjectId(required): string
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
B8103C474F614AF789ADF3031B516DF2
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Success
Root Schema : ESignUrlDto
Type:
objectElectronic signature URL for the requested subject and organization.
Show Source
-
url: string
(uri)
Electronic signature URL.Example:
https://esign.example.com/process/7AB12CD3E4F5413C9BF46C56A9ED9B7A
Examples
400 Response
Bad request.
Root Schema : DcsResponse
Type:
Show Source
object-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
-
status: string
-
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectNested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.